Bug 573248 - Review Request: garden - An innovative old-school 2D vertical shoot-em-up
Summary: Review Request: garden - An innovative old-school 2D vertical shoot-em-up
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Martin Gieseking
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-13 17:57 UTC by Ionuț Arțăriși
Modified: 2010-04-22 22:37 UTC (History)
3 users (show)

Fixed In Version: garden-1.0.8-2.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-04-22 22:37:38 UTC
martin.gieseking: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Ionuț Arțăriși 2010-03-13 17:57:23 UTC
Spec URL: http://mapleoin.fedorapeople.org/pkgs/garden/garden.spec
SRPM URL: http://mapleoin.fedorapeople.org/pkgs/garden/garden-1.0.8-1.fc12.src.rpm
Description: 
Garden of colored lights is an old school 2D vertical shoot-em-up with some
innovative elements. Innovative graphics, soundtrack and game concept. The
game itself is very challenging and as you progress, you will understand that
you are dealing with a true piece of art...

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2050740

Comment 1 Martin Gieseking 2010-03-29 20:34:22 UTC
Hi Ionuț, 

I will do the full review in the next few days. Your package looks pretty clean. The only thing I recognized so far concerns the license tag: according to the source file headers, the package is licensed under GPLv3+, not GPLv3 only.

Comment 2 Martin Gieseking 2010-03-30 18:01:08 UTC
Here's the full review. Unfortunately, the package isn't as clean as I thought initially. :)

- as mentioned above, the License tag must be GPLv3+
- the package doesn't build for F-13 because of a missing LDFLAG
- COPYING is missing in %doc
- just a suggestion: add a trailing slash to %{_datadir}/%{name} in order to indicate that a folder is added

For further details see the checklist below.

$ rpmlint /var/lib/mock/fedora-12-x86_64/result/*.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.


---------------------------------
keys used in following checklist:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    - GPLv3+ according to source file headers

[X] MUST: The License field in the package spec file must match the actual license.
    - change GPLv3 to GPLv3+ 

[X] MUST: The file containing the text of the license(s) for the package must be included in %doc.
    - add COPYING to %doc

[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum garden-1.0.8.tar.gz*
    42966f2c457d71a3ff0dd30522801ade  garden-1.0.8.tar.gz
    42966f2c457d71a3ff0dd30522801ade  garden-1.0.8.tar.gz.1

[X] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
    - The package fails building for F-13:
      http://koji.fedoraproject.org/koji/taskinfo?taskID=2084784
    - add automake and autoconf to BR
    - add the following lines to the %prep section (or patch configure.ac accordingly):
      sed -i '/^AC_CHECK_HEADERS/s/$/\nAC_CHECK_LIB(m, sin)/' configure.ac 
      sed -i '/^AS_INIT/d' configure.ac 
      autoreconf
    - this should be reported upstream

[.] MUST: If the package does not successfully compile, build or work on an architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly. 
    - no locales

[.] MUST: Every binary RPM package (or subpackage) which stores shared library files...
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot}.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'
[.] MUST: If a package contains library files ...
[.] MUST: devel packages must require the base package 
[.] MUST: Packages must NOT contain any .la libtool archives.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop file.
[+] .desktop files must be properly installed with desktop-file-install in the %install section.
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot}.
[+] MUST: All filenames in rpm packages must be valid UTF-8.
[+] MUST: Icons must be properly installed.

[+] SHOULD: The reviewer should test that the package builds in mock.
    builds in mock for F-12

[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
    builds in koji for F-12

[+] SHOULD: The reviewer should test that the package functions as described.
    - functions on F-12 (great game :))

[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.

Comment 3 Ionuț Arțăriși 2010-04-06 11:16:19 UTC
Hi Martin,

Thanks a lot for reviewing this!

I corrected the issues you mentioned and submitted the patch upstream: https://sourceforge.net/tracker/?func=detail&aid=2982590&group_id=242667&atid=1121672

http://mapleoin.fedorapeople.org/pkgs/garden/garden.spec
http://mapleoin.fedorapeople.org/pkgs/garden/garden-1.0.8-2.fc12.src.rpm

* Tue Apr  6 2010 Ionuț C. Arțăriși <mapleoin@fedoraproject.org> - 1.0.8-2
- added DSOlinking patch
- changed license from GPLv3 to GPLv3+
- added COPYING to %%doc

Comment 4 Martin Gieseking 2010-04-06 12:46:06 UTC
> Thanks a lot for reviewing this!
You're welcome.

Thanks for the quick fixes. I rechecked your package and couldn't find any further issues. Thus, we can finish here. :)

------------------------
The package is APPROVED.
------------------------

Comment 5 Ionuț Arțăriși 2010-04-06 15:56:53 UTC
New Package CVS Request
=======================
Package Name: garden
Short Description: An innovative old-school 2D vertical shoot-em-up
Owners: mapleoin
Branches: F-12 F-13

Comment 6 Kevin Fenzi 2010-04-08 02:40:24 UTC
CVS done (by process-cvs-requests.py).

Comment 7 Fedora Update System 2010-04-08 16:33:37 UTC
garden-1.0.8-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/garden-1.0.8-2.fc12

Comment 8 Fedora Update System 2010-04-10 10:28:40 UTC
garden-1.0.8-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update garden'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/garden-1.0.8-2.fc12

Comment 9 Fedora Update System 2010-04-22 22:37:29 UTC
garden-1.0.8-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.